getFabricClusterDetail

Prev Next

Available in VPC

Get Fabric cluster details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vserver/v2/getFabricClusterDetail
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Server APIs, see Server request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
fabricClusterNo String Required Fabric cluster number
responseFormatType String Optional Format of the response data
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getFabricClusterDetail
?regionCode=KR
&fabricClusterNo=13**
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
getFabricClusterDetailResponse Object - Response result
getFabricClusterDetailResponse.requestId String - ID for the request
  • UUID format
getFabricClusterDetailResponse.returnCode String - Response code
getFabricClusterDetailResponse.returnMessage String - Response message

Response status codes

For information about the HTTP status codes common to all Server APIs, see Server response status codes.

Response example

The response example is as follows:

{
  "getFabricClusterDetailResponse": {
    "totalRows": 1,
    "fabricClusterList": [
      {
        "fabricClusterNo": "13**",
        "fabricClusterName": "test-***",
        "fabricClusterStatus": {
          "code": "RUN",
          "codeName": "In operation"
        },
        "fabricClusterDescription": "test",
        "regionCode": "KR",
        "zoneCode": "KR-1",
        "vpcNo": "***84",
        "fabricClusterPoolNo": "***01",
        "fabricClusterPoolName": "test-***",
        "fabricClusterPoolCode": "test-***",
        "createDate": "2025-12-12T13:36:17+0900",
        "fabricClusterServerInstanceList": [
          {
            "serverInstanceNo": "****59627",
            "serverName": "test-***",
            "serverInstanceStatus": {
              "code": "RUN",
              "codeName": "Server RUN status"
            },
            "serverInstanceOperation": {
              "code": "NULL",
              "codeName": "Server NULL OP"
            },
            "serverInstanceStatusName": "running"
          }
        ]
      }
    ],
    "requestId": "73a0f845-f9da-4a93-a177-8c209ce58e73",
    "returnCode": "0",
    "returnMessage": "success"
  }
}